#ifndef PIC_H
#define PIC_H

#include "types.h"

#define IDT_TYPE_1 0x8E00

typedef struct IDT_ENTRY {
    u16 segment;
    u32 offset;
    u16 type;
} IDT_ENTRY;

struct IDT_REGISTER {
    u16 limit;
    u32 base;
} __attribute__((packed));

void pic_enable_interrupt();
void pic_add_idt_entry(IDT_ENTRY entry);

#endif